org.gcube.vremanagement.whnmanager.jaxws.ws

## Class WhnManagerImpl

- java.lang.Object
- - org.gcube.vremanagement.whnmanager.jaxws.ws.WhnManagerImpl

All Implemented Interfaces:
  org.gcube.resourcemanagement.whnmanager.api.WhnManager

    public class WhnManagerImpl
    extends Object
    implements org.gcube.resourcemanagement.whnmanager.api.WhnManager

### Field Summary

### Fields inherited from interface org.gcube.resourcemanagement.whnmanager.api.WhnManager

`SERVICE_NAME, TNS`

### Constructor Summary

Constructors
Constructor and Description
`WhnManagerImpl()`

### Method Summary

Methods
`boolean` `addToContext(String context)` Add a scope to the ghn profile and publish it on IS
`boolean` `removeFromContext(String context)` Remove a scope from ghn profile and publish the new profile on IS

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WhnManagerImpl

    public WhnManagerImpl()

### Method Detail

#### addToContext

    public boolean addToContext(String context)
                         throws org.gcube.resourcemanagement.whnmanager.api.exception.GCUBEUnrecoverableException

Add a scope to the ghn profile and publish it on IS

Specified by:
  `addToContext` in interface `org.gcube.resourcemanagement.whnmanager.api.WhnManager`
Throws:
  `org.gcube.resourcemanagement.whnmanager.api.exception.GCUBEUnrecoverableException`

#### removeFromContext

    public boolean removeFromContext(String context)
                              throws org.gcube.resourcemanagement.whnmanager.api.exception.GCUBEUnrecoverableException

Remove a scope from ghn profile and publish the new profile on IS

Specified by:
  `removeFromContext` in interface `org.gcube.resourcemanagement.whnmanager.api.WhnManager`
Throws:
  `org.gcube.resourcemanagement.whnmanager.api.exception.GCUBEUnrecoverableException`